Bug 73147 - bios does not see grub as valid OS loader
Summary: bios does not see grub as valid OS loader
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: grub (Show other bugs)
(Show other bugs)
Version: null
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-31 04:53 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-31 06:25:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-08-31 04:53:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
on dell latitude 510 with bios a10 grub is not recognized as a valid os loader
this prevent the booting of the os and the defaults of any reload would prevent
redhat null from ever booting on this laptop

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.this is on a Dell latitude 510 with bios version a10
2.install null accepting default bootloader grub
3.after install reboot and remove install media


Actual Results:  bios comes up with message "no loader" and halts
reboots give the same error message reinstalls the same
linux rescue from the cdrom can find the partitioned hard drive


Expected Results:  grub load

Additional info:

the lilo loader works but is not the default
maybe a bios black list will be required
maybe lilo should be the default
maybe a detector that would detect grub and a null file and say are you
reinstalling because redhat did not boot and make lilo the default loader for
that install

Comment 1 Jeremy Katz 2002-08-31 06:25:00 UTC
This is almost certainly a BIOS bug.  Is there a newer BIOS available?

It's impossible for us to keep a list of every broken bios out there for this --
they change entirely too rapidly to keep up with and without any real standard
way to get the information :(

Comment 2 Jeremy Katz 2002-09-20 20:40:15 UTC
Closing due to inactivity


Note You need to log in before you can comment on or make changes to this bug.